<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: Particle effect API</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/d43/group___particle_effect.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#enumval-members">Enumerator</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">Particle effect API<div class="ingroups"><a class="el" href="../../d1/d38/group___visual.html">Visual objects</a> &raquo; <a class="el" href="../../dc/d48/group___mesh_object.html">Mesh object (XOB)</a></div></div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gae0fed29d09aa06a8ca33de9f2b039e4b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a> { <br />
&#160;&#160;<a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4bacd4805ee39030591366238f0f6d63f67">CONEANGLE</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba5ce857ddb6619f4948bb97e159e91e46">EMITOFFSET</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba06e15744a8bd69fceeeb39ab3614b3f6">VELOCITY</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba823a20f7889b2bb90dea929baca0f2c4">VELOCITY_RND</a>
, <br />
&#160;&#160;<a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba944870727d076c7fd31426868fce144a">AVELOCITY</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba4aa71180778b711338785695df5d7c52">SIZE</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba9a6098ae318c15eafb33986cb9cf2c49">STRETCH</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba089f97640798f77cc7a9cb5f305014ab">RANDOM_ANGLE</a>
, <br />
&#160;&#160;<a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba89a5af6a84f065fb9cff465c87bc9189">RANDOM_ROT</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4badc1ed5f376f5db1ea41dc34b0d8ff178">AIR_RESISTANCE</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba31dbf8c1c56cc4472b9338bcf8276f97">AIR_RESISTANCE_RND</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba616cfd06bd61707115051f7593779693">GRAVITY_SCALE</a>
, <br />
&#160;&#160;<a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba2a6e8c4a933ace05318f5d632b43661e">GRAVITY_SCALE_RND</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4bad5050962ec1abf8ae3e984061530af46">BIRTH_RATE</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba4ca356b83df4167b39d1bb14bfe5d74a">BIRTH_RATE_RND</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba41b2b15f5cf812fd500c545b3fa3bb7e">LIFETIME</a>
, <br />
&#160;&#160;<a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba8beeec6b9439b07a3ed142d7dfd82395">LIFETIME_RND</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba48068e366f456a4108d918677d551608">LIFETIME_BY_ANIM</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba675a81424a1ad2506288da8178861b1d">ANIM_ONCE</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba084e9141449b1bb22e4d529f634ec426">RAND_FRAME</a>
, <br />
&#160;&#160;<a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba873013feab5df49e783ff5a5925d91ac">EFFECT_TIME</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba972f3df9d279a3d3acc88bcbe4452d51">REPEAT</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba802cda28b9346b57d0c6d66dc44723e8">CURRENT_TIME</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba2423d6d500341d6a85e2582f91730034">ACTIVE_PARTICLES</a>
, <br />
&#160;&#160;<a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba136486a15d68351e470b6b449ae7a246">SORT</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba66ac953d8d17a38ef4326458bb2ee432">WIND</a>
, <a class="el" href="../../da/d43/group___particle_effect.html#ggae0fed29d09aa06a8ca33de9f2b039e4ba74ce3137b26cdafc19bdb66d881971fa">SPRING</a>
<br />
 }</td></tr>
<tr class="separator:gae0fed29d09aa06a8ca33de9f2b039e4b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga9860b4510c083d6184169ee90a13b2b7"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#ga9860b4510c083d6184169ee90a13b2b7">GetParticleCount</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:ga9860b4510c083d6184169ee90a13b2b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0975b5ff10238b585d1577c563783910"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#ga0975b5ff10238b585d1577c563783910">HasActiveParticle</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:ga0975b5ff10238b585d1577c563783910"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad855d218d6d6663f7a89ea571189e71e"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#gad855d218d6d6663f7a89ea571189e71e">GetParticleEmitors</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> emitors[], <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> max)</td></tr>
<tr class="separator:gad855d218d6d6663f7a89ea571189e71e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf48f6e9cee7070941c9c8a1fd42563d"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#gaaf48f6e9cee7070941c9c8a1fd42563d">GetParticleEmitorCount</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gaaf48f6e9cee7070941c9c8a1fd42563d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f558e6f6131c3ea48fe470c95dd6e5f"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#ga0f558e6f6131c3ea48fe470c95dd6e5f">SetParticleParm</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> emitor, <a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a> parameter, void value)</td></tr>
<tr class="separator:ga0f558e6f6131c3ea48fe470c95dd6e5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8b8d0a62c36697a8e34fc9ef2c492e3"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#gaf8b8d0a62c36697a8e34fc9ef2c492e3">GetParticleParm</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> emitor, <a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a> parameter, out void value)</td></tr>
<tr class="separator:gaf8b8d0a62c36697a8e34fc9ef2c492e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7cf9b540067b188149be7512b29ceb60"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#ga7cf9b540067b188149be7512b29ceb60">GetParticleParmOriginal</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> emitor, <a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a> parameter, out void value)</td></tr>
<tr class="separator:ga7cf9b540067b188149be7512b29ceb60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadcf88483f6e81f5737f90a0f22464cdd"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#gadcf88483f6e81f5737f90a0f22464cdd">ResetParticlePosition</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gadcf88483f6e81f5737f90a0f22464cdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2362a8d6f9c9abd4867fa7c14d59a341"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d43/group___particle_effect.html#ga2362a8d6f9c9abd4867fa7c14d59a341">RestartParticle</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:ga2362a8d6f9c9abd4867fa7c14d59a341"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a id="gae0fed29d09aa06a8ca33de9f2b039e4b" name="gae0fed29d09aa06a8ca33de9f2b039e4b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae0fed29d09aa06a8ca33de9f2b039e4b">&#9670;&#160;</a></span>EmitorParam</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4bacd4805ee39030591366238f0f6d63f67" name="ggae0fed29d09aa06a8ca33de9f2b039e4bacd4805ee39030591366238f0f6d63f67"></a>CONEANGLE&#160;</td><td class="fielddoc"><p >Vector3 R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba5ce857ddb6619f4948bb97e159e91e46" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba5ce857ddb6619f4948bb97e159e91e46"></a>EMITOFFSET&#160;</td><td class="fielddoc"><p >Vector3 R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba06e15744a8bd69fceeeb39ab3614b3f6" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba06e15744a8bd69fceeeb39ab3614b3f6"></a>VELOCITY&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba823a20f7889b2bb90dea929baca0f2c4" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba823a20f7889b2bb90dea929baca0f2c4"></a>VELOCITY_RND&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba944870727d076c7fd31426868fce144a" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba944870727d076c7fd31426868fce144a"></a>AVELOCITY&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba4aa71180778b711338785695df5d7c52" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba4aa71180778b711338785695df5d7c52"></a>SIZE&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba9a6098ae318c15eafb33986cb9cf2c49" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba9a6098ae318c15eafb33986cb9cf2c49"></a>STRETCH&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba089f97640798f77cc7a9cb5f305014ab" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba089f97640798f77cc7a9cb5f305014ab"></a>RANDOM_ANGLE&#160;</td><td class="fielddoc"><p >begin with random rotation. Bool R/W </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba89a5af6a84f065fb9cff465c87bc9189" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba89a5af6a84f065fb9cff465c87bc9189"></a>RANDOM_ROT&#160;</td><td class="fielddoc"><p >rotate in random direction. Bool R/W </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4badc1ed5f376f5db1ea41dc34b0d8ff178" name="ggae0fed29d09aa06a8ca33de9f2b039e4badc1ed5f376f5db1ea41dc34b0d8ff178"></a>AIR_RESISTANCE&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba31dbf8c1c56cc4472b9338bcf8276f97" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba31dbf8c1c56cc4472b9338bcf8276f97"></a>AIR_RESISTANCE_RND&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba616cfd06bd61707115051f7593779693" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba616cfd06bd61707115051f7593779693"></a>GRAVITY_SCALE&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba2a6e8c4a933ace05318f5d632b43661e" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba2a6e8c4a933ace05318f5d632b43661e"></a>GRAVITY_SCALE_RND&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4bad5050962ec1abf8ae3e984061530af46" name="ggae0fed29d09aa06a8ca33de9f2b039e4bad5050962ec1abf8ae3e984061530af46"></a>BIRTH_RATE&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba4ca356b83df4167b39d1bb14bfe5d74a" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba4ca356b83df4167b39d1bb14bfe5d74a"></a>BIRTH_RATE_RND&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba41b2b15f5cf812fd500c545b3fa3bb7e" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba41b2b15f5cf812fd500c545b3fa3bb7e"></a>LIFETIME&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba8beeec6b9439b07a3ed142d7dfd82395" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba8beeec6b9439b07a3ed142d7dfd82395"></a>LIFETIME_RND&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba48068e366f456a4108d918677d551608" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba48068e366f456a4108d918677d551608"></a>LIFETIME_BY_ANIM&#160;</td><td class="fielddoc"><p >Bool R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba675a81424a1ad2506288da8178861b1d" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba675a81424a1ad2506288da8178861b1d"></a>ANIM_ONCE&#160;</td><td class="fielddoc"><p >Bool R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba084e9141449b1bb22e4d529f634ec426" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba084e9141449b1bb22e4d529f634ec426"></a>RAND_FRAME&#160;</td><td class="fielddoc"><p >Bool R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba873013feab5df49e783ff5a5925d91ac" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba873013feab5df49e783ff5a5925d91ac"></a>EFFECT_TIME&#160;</td><td class="fielddoc"><p >efector's total time. Float R/W </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba972f3df9d279a3d3acc88bcbe4452d51" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba972f3df9d279a3d3acc88bcbe4452d51"></a>REPEAT&#160;</td><td class="fielddoc"><p >should efector repeate after time up? Bool R/W </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba802cda28b9346b57d0c6d66dc44723e8" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba802cda28b9346b57d0c6d66dc44723e8"></a>CURRENT_TIME&#160;</td><td class="fielddoc"><p >current efector's time. Float R/W </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba2423d6d500341d6a85e2582f91730034" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba2423d6d500341d6a85e2582f91730034"></a>ACTIVE_PARTICLES&#160;</td><td class="fielddoc"><p >number of active particles. Int R </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba136486a15d68351e470b6b449ae7a246" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba136486a15d68351e470b6b449ae7a246"></a>SORT&#160;</td><td class="fielddoc"><p >Bool R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba66ac953d8d17a38ef4326458bb2ee432" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba66ac953d8d17a38ef4326458bb2ee432"></a>WIND&#160;</td><td class="fielddoc"><p >Bool R/W. </p>
</td></tr>
<tr><td class="fieldname"><a id="ggae0fed29d09aa06a8ca33de9f2b039e4ba74ce3137b26cdafc19bdb66d881971fa" name="ggae0fed29d09aa06a8ca33de9f2b039e4ba74ce3137b26cdafc19bdb66d881971fa"></a>SPRING&#160;</td><td class="fielddoc"><p >Float R/W. </p>
</td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="../../d9/d12/_en_visual_8c_source.html#l00113">113</a> of file <a class="el" href="../../d9/d12/_en_visual_8c_source.html">EnVisual.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a id="ga9860b4510c083d6184169ee90a13b2b7" name="ga9860b4510c083d6184169ee90a13b2b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9860b4510c083d6184169ee90a13b2b7">&#9670;&#160;</a></span>GetParticleCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetParticleCount </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gaaf48f6e9cee7070941c9c8a1fd42563d" name="gaaf48f6e9cee7070941c9c8a1fd42563d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaaf48f6e9cee7070941c9c8a1fd42563d">&#9670;&#160;</a></span>GetParticleEmitorCount()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetParticleEmitorCount </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gad855d218d6d6663f7a89ea571189e71e" name="gad855d218d6d6663f7a89ea571189e71e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad855d218d6d6663f7a89ea571189e71e">&#9670;&#160;</a></span>GetParticleEmitors()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> GetParticleEmitors </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>emitors</em>[], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>max</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gaf8b8d0a62c36697a8e34fc9ef2c492e3" name="gaf8b8d0a62c36697a8e34fc9ef2c492e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf8b8d0a62c36697a8e34fc9ef2c492e3">&#9670;&#160;</a></span>GetParticleParm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void GetParticleParm </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>emitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>&#160;</td>
          <td class="paramname"><em>parameter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out void&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga7cf9b540067b188149be7512b29ceb60" name="ga7cf9b540067b188149be7512b29ceb60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7cf9b540067b188149be7512b29ceb60">&#9670;&#160;</a></span>GetParticleParmOriginal()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void GetParticleParmOriginal </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>emitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>&#160;</td>
          <td class="paramname"><em>parameter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out void&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga0975b5ff10238b585d1577c563783910" name="ga0975b5ff10238b585d1577c563783910"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0975b5ff10238b585d1577c563783910">&#9670;&#160;</a></span>HasActiveParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto <a class="el" href="../../d9/db9/classbool.html">bool</a> HasActiveParticle </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="gadcf88483f6e81f5737f90a0f22464cdd" name="gadcf88483f6e81f5737f90a0f22464cdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadcf88483f6e81f5737f90a0f22464cdd">&#9670;&#160;</a></span>ResetParticlePosition()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void ResetParticlePosition </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga2362a8d6f9c9abd4867fa7c14d59a341" name="ga2362a8d6f9c9abd4867fa7c14d59a341"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2362a8d6f9c9abd4867fa7c14d59a341">&#9670;&#160;</a></span>RestartParticle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto native void RestartParticle </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ga0f558e6f6131c3ea48fe470c95dd6e5f" name="ga0f558e6f6131c3ea48fe470c95dd6e5f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0f558e6f6131c3ea48fe470c95dd6e5f">&#9670;&#160;</a></span>SetParticleParm()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">proto void SetParticleParm </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td>
          <td class="paramname"><em>ent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>emitor</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d43/group___particle_effect.html#gae0fed29d09aa06a8ca33de9f2b039e4b">EmitorParam</a>&#160;</td>
          <td class="paramname"><em>parameter</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"><em>value</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
